import { Dispatcher, HiveConfiguration, WorkerQueue } from "../types";
import { Channel, Replies } from "amqplib";
export declare const createDispatcher: <TQueues extends Record<string, WorkerQueue>>({ channel, configuration, exchanges, }: {
    channel: Channel;
    configuration: HiveConfiguration<TQueues>;
    exchanges: Record<"direct" | "delayed", Replies.AssertExchange>;
}) => Dispatcher<TQueues>;
